<?php

// Theme Name
$theme_name = 'zeeCompany';
define('THEME_NAME', 'zeeCompany');
define('THEME_INFO', 'http://themezee.com/zeeCompany-free');

//Content Width
$content_width = 540;

//Load Styles and Scripts
add_action('wp_print_styles', 'theme_wp_head');
function theme_wp_head() { 
	wp_register_style('zee_stylesheet', get_stylesheet_directory_uri() . '/style.css', 'zee_stylesheet');
	wp_enqueue_style( 'zee_stylesheet');
	wp_register_script('jquery-theme', get_template_directory_uri() .'/includes/js/jquery-1.4.2.min.js');
	wp_enqueue_script('jquery-theme');
	wp_register_script('jquery-ui-min', get_template_directory_uri() .'/includes/js/jquery-ui-1.7.2.custom.min.js');
	wp_enqueue_script('jquery-ui-min');
	wp_register_script('jquery-easing', get_template_directory_uri() .'/includes/js/jquery.easing.1.3.js');
	wp_enqueue_script('jquery-easing');
	wp_register_script('jquery-cycle', get_template_directory_uri() .'/includes/js/jquery.cycle.all.min.js');
	wp_enqueue_script('jquery-cycle');
	wp_register_script('slidemenu', get_template_directory_uri() .'/includes/js/jquery.slidemenu.js');
	wp_enqueue_script('slidemenu');
}

// init Localization
define('ZEE_LANG', 'zeeCompany');
load_theme_textdomain(ZEE_LANG, TEMPLATEPATH . '/includes/lang');

// include Admin Files
locate_template('/includes/admin/theme-functions.php', true);
locate_template('/includes/admin/theme-settings.php', true);
locate_template('/includes/admin/theme-admin.php', true);

// Add Theme Support Functions
add_theme_support('post-thumbnails');
add_theme_support('automatic-feed-links');
add_custom_background();
add_editor_style();

// Add Custom Header
define('HEADER_TEXTCOLOR', '');
define('HEADER_IMAGE', get_stylesheet_directory_uri() . '/images/default_header.jpg');
define('HEADER_IMAGE_WIDTH', 850);
define('HEADER_IMAGE_HEIGHT', 120);
define('NO_HEADER_TEXT', true );

function header_style() {
    ?><style type="text/css">
        #custom_header img {
			margin-top: 2px;
			width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
            height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
        }
    </style><?php
}
function admin_header_style() {
    ?><style type="text/css">
        #headimg {
            width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
            height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
        }
    </style><?php
}
add_custom_image_header('header_style', 'admin_header_style');

// Register Sidebars
if ( function_exists('register_sidebar') ) {
	register_sidebar(array('name' => 'Sidebar Blog','id' => 'sidebar-blog'));
	register_sidebar(array('name' => 'Sidebar Pages','id' => 'sidebar-pages'));
}

// Register Menus
if ( function_exists( 'register_nav_menu' ) ) {
	register_nav_menu( 'top_navi', 'Top Navigation' );
	register_nav_menu( 'main_navi', 'Main Navigation' );
}

// Callback Function for wp_nav_menu
function display_pages() {
    echo '<ul>';
		wp_list_categories('title_li=&depth=1&number=4');
    echo '</ul>';
}

// include Plugin Files
locate_template('/includes/shortcodes/shortcodes.php', true);
locate_template('/includes/plugins/theme_ads_widget.php', true);

// Functions for correct html5 Validation
function html5_gallery($content)
{
	return str_replace('[gallery', '[gallery itemtag="div" icontag="span" captiontag="p"', $content);
}
add_filter('the_content', 'html5_gallery');
add_filter('gallery_style', create_function('$a', 'return preg_replace("%<style type=\'text/css\'>(.*?)</style>%s", "", $a);'));

function html5_embed($return, $data, $url)
{
	$search = '|></embed>|is';
	$replace = ' />';
	return preg_replace( $search, $replace, $return );
}
add_filter( 'oembed_dataparse', 'html5_embed', 10, 3);

function html5_elements($content)
{
	$content = str_replace('<acronym', '<abbr', $content);
	$content = str_replace('</acronym', '</abbr', $content);
	$content = str_replace('<big', '<span class="big_tag"', $content);
	$content = str_replace('</big', '</span', $content);
	$content = str_replace('<tt', '<span class="tt_tag"', $content);
	$content = str_replace('</tt', '</span', $content);
	return $content;
}
add_filter('the_content', 'html5_elements');
add_filter('comment_text', 'html5_elements');
?>