<!DOCTYPE html><!-- HTML 5 -->
<html <?php language_attributes(); ?>>

<head>

	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<meta name="description" content="<?php bloginfo('name'); ?> - <?php bloginfo('description'); ?>" />
	<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> 
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	
	<title><?php bloginfo('name'); wp_title(); ?></title>

<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php locate_template('/includes/styles/custom-css.php', true); ?>
<?php wp_head(); ?>
<?php locate_template('/includes/js/jscript.php', true); ?>
</head>

<body <?php body_class(); ?>> 
<div id="wrapper">
	<div id="header">
	
		<div id="topnavi">
			<?php 
			// Get Top Navigation out of Theme Options
				wp_nav_menu(array('theme_location' => 'top_navi', 'container' => false, 'echo' => true, 'before' => '', 'after' => '', 'link_before' => '', 'fallback_cb' => 'display_pages', 'link_after' => '', 'depth' => 0));
			?>
			<div class="clear"></div>
		</div>

		<div id="head">
				<?php 
				$options = get_option('themezee_options');
				if ( $options['themeZee_logo'] <> "" ) { ?>
					<a href="<?php echo home_url(); ?>"><img src="<?php echo $options['themeZee_logo']; ?>" alt="Logo" /></a>
				<?php } else { ?>
					<a href="<?php echo home_url(); ?>/"><h1><?php bloginfo('name'); ?></h1></a>
				<?php } ?>
		</div>
		<div class="clear"></div>
		
		<div id="navi">
			<?php 
			// Get Main Navigation out of Theme Options
				wp_nav_menu(array('theme_location' => 'main_navi', 'container' => false, 'echo' => true, 'before' => '', 'after' => '', 'link_before' => '', 'fallback_cb' => 'display_pages', 'link_after' => '', 'depth' => 0));
			?>
			<div class="clear"></div>
		</div>
		
	<?php if( get_header_image() != '' ) : ?>
		<div id="custom_header">
			<img src="<?php echo get_header_image(); ?>" />
		</div>
	<?php endif; ?>

	</div>